# vim: set ft=spec: -*- rpm-spec -*-
# $Id: fxruby,v 1.4 2005/01/23 23:36:44 raorn Exp $

%define oname FXRuby

Name: fxruby
Version: 1.2.2
Release: alt1

Summary: The Ruby language bindings for the FOX GUI toolkit.
Summary(ru_RU.CP1251): Ruby     FOX.
Summary(be_BY): Ruby     FOX.

Group: Development/Ruby
License: LGPL
Url: http://www.fxruby.org/

%define _customdocdir %_docdir/%name-%version

Source: %oname-%version.tar.gz

# Automatically added by buildreq on Mon Jan 24 2005
BuildRequires: ruby gcc-c++ libfox-devel libfxscintilla-devel libjpeg-devel libpng-devel libruby-devel libstdc++-devel libtiff-devel ruby-stdlibs xorg-x11-devel zlib-devel

%description
This is FXRuby, the Ruby language bindings for the FOX GUI toolkit.

FOX is a C++-based toolkit for developing graphical user interfaces
easily and effectively. It offers a wide, and growing, collection of
widgets, and provides state-of-the-art facilities such as drag-and-drop,
selection, as well as OpenGL widgets for 3-D graphical manipulation.
FOX also implements icons, images, and user-convenience features
such as status line help and tooltips.

%package doc
Summary: Documentation for the FXRuby
Summary(ru_RU.CP1251):   FXRuby
Summary(be_BY):   FXRuby
Group: Development/Ruby
Requires: %name

%description doc
This package contains documentation (both, html and ri) and examples
for the FXRuby.

%package test
Summary: Tests for the FXRuby
Summary(ru_RU.CP1251):   FXRuby
Summary(be_BY):   FXRuby
Group: Development/Ruby
Requires: %name = %version-%release

%description test
This package contains tests for the FXRuby.

%prep
%setup -q -n %oname-%version

%build
ruby -rvendor-specific install.rb config
ruby -rvendor-specific install.rb setup

%install
ruby -rvendor-specific install.rb install --prefix=%buildroot
%rdoc rdoc-sources

%files
%doc ANNOUNCE ChangeLog INSTALL LICENSE README 
%ruby_sitearchdir/*
%ruby_sitelibdir/*

%files doc
%doc doc examples
%ruby_ri_sitedir/Fox

%files test
%doc tests

%changelog
* Mon Jan 24 2005 Sir Raorn <raorn@altlinux.ru> 1.2.2-alt1
- [1.2.2]
- Dropped rubygems support
- Rewritten %%buid and %%install sections
- Generated RI documentation (packaged in -doc)
- Updated build requires
- Updated requires

* Thu Jul 01 2004 Kirill A. Shutemov <kas@altlinux.ru> 1.2-alt6.cvs20040701
- New version
- Build with libfox-1.2
- Add rubygems support

* Sat May 15 2004 Kirill A. Shutemov <kas@altlinux.ru> 1.0.28-alt5.cvs20040515
- New version

* Wed Mar 10 2004 Kirill A. Shutemov <kas@altlinux.ru> 1.0.27-alt4.cvs20040131
- Fix documentation generation 

* Fri Feb 13 2004 Kirill A. Shutemov <kas@altlinux.ru> 1.0.27-alt3.cvs20040131
- Requires and BuildRequires fixed
- add classes diagram

* Sat Jan 31 2004 Kirill A. Shutemov <kas@altlinux.ru> 1.0.27-alt2.cvs20040131
- cvs20040131 stable snapshot
- Build with fxscintilla
- New rdoc documentation

* Sun Jan 04 2004 Kirill A. Shutemov <kas@altlinux.ru> 1.0.27-alt1
- First build for ALT project

